EOX GitLab Instance

init.pp 2.12 KB
Newer Older
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
class gdal-shibboleth {
	# enable EOX-testing repository
	augeas { 'enable_eox-testing':
		context	=> '/files/etc/yum.repos.d/eox-testing.repo',
		changes	=> [
			'set eox-testing/enabled 1',
			'set eox-testing-source/enabled 1',
			'set eox-testing-noarch/enabled 1',
		]
# enable security:shibboleth http://download.opensuse.org/repositories/security:/shibboleth/RHEL_6/security:shibboleth.repo
# to install libxerces-c-devel
	}

	package { 'python-devel': ensure => 'latest' }
	package { 'numpy': ensure => 'latest' }
	package { 'xerces-c-devel': ensure => 'latest' }
	package { 'libpng-devel': ensure => 'latest' }
	package { 'giflib-devel': ensure => 'latest' }
	package { 'libjpeg-turbo-devel': ensure => 'latest' }
	package { 'libtiff-devel': ensure => 'latest' }
	package { 'doxygen': ensure => 'latest' }
	package { 'texlive-latex': ensure => 'latest' }
	package { 'ghostscript': ensure => 'latest' }
	package { 'jpackage-utils': ensure => 'latest' }
	package { 'jasper-devel': ensure => 'latest' }
	package { 'cfitsio-devel': ensure => 'latest' }
	package { 'libdap-devel': ensure => 'latest' }
	package { 'librx-devel': ensure => 'latest' }
	package { 'hdf-devel': ensure => 'latest' }
	package { 'unixODBC-devel': ensure => 'latest' }
	package { 'mysql-devel': ensure => 'latest' }
	package { 'postgresql-devel': ensure => 'latest' }
	package { 'libspatialite-devel': ensure => 'latest' }
	package { 'proj-devel': ensure => 'latest' }
	package { 'geos-devel': ensure => 'latest' }
	package { 'netcdf-devel': ensure => 'latest' }
	package { 'hdf5-devel': ensure => 'latest' }
	package { 'ogdi-devel': ensure => 'latest' }
	package { 'libgeotiff-devel': ensure => 'latest' }
	package { 'libcurl-devel': ensure => 'latest' }
	package { 'perl': ensure => 'latest' }
	package { 'chrpath': ensure => 'latest' }
	package { 'ant': ensure => 'latest' }
	package { 'swig': ensure => 'latest' }
	package { 'java-1.5.0-gcj-devel': ensure => 'latest' }
	package { 'java-1.6.0-openjdk-devel': ensure => 'latest' }
	package { 'libtool': ensure => 'latest' }
    package { 'perl-devel': ensure => 'latest' }
    package { 'libxerces-c-3_1': ensure => 'latest' }
    


}